using System.Text.Json.Serialization;

namespace Adaptation.FileHandlers.MoveAllFiles.OpenInsight;

public class Inspection
{
    [JsonPropertyName("microscope")]
    public bool Microscope { get; set; }

    [JsonPropertyName("brightlight")]
    public bool Brightlight { get; set; }

    [JsonPropertyName("inspSigReq")]
    public bool InspSigReq { get; set; }

    [JsonPropertyName("inspInterval")]
    public int? InspInterval { get; set; }

    [JsonPropertyName("frontSide")]
    public FrontSide FrontSide { get; set; }

    [JsonPropertyName("backSide")]
    public BackSide BackSide { get; set; }

    [JsonPropertyName("specs")]
    public Spec Specs { get; set; }
}