using System.Text.Json.Serialization;

namespace Adaptation.FileHandlers.MoveAllFiles.OpenInsight;

public class RecipeLayer
{
    [JsonPropertyName("layerNo")]
    public int LayerNo { get; set; }

    [JsonPropertyName("layerId")]
    public string LayerId { get; set; }

    [JsonPropertyName("layerType")]
    public string LayerType { get; set; }

    [JsonPropertyName("layerRecipe")]
    public int LayerRecipe { get; set; }

    [JsonPropertyName("layerDopant")]
    public string LayerDopant { get; set; }

    [JsonPropertyName("layerThickMin")]
    public double LayerThickMin { get; set; }

    [JsonPropertyName("layerThickTarget")]
    public double LayerThickTarget { get; set; }

    [JsonPropertyName("layerThickMax")]
    public double LayerThickMax { get; set; }

    [JsonPropertyName("layerThickUnits")]
    public string LayerThickUnits { get; set; }

    [JsonPropertyName("layerThickAMin")]
    public object LayerThickAMin { get; set; }

    [JsonPropertyName("layerThickATarget")]
    public object LayerThickATarget { get; set; }

    [JsonPropertyName("layerThickAMaxes")]
    public object LayerThickAMaxes { get; set; }

    [JsonPropertyName("layerThickAUnits")]
    public object LayerThickAUnits { get; set; }

    [JsonPropertyName("layerResMin")]
    public double LayerResMin { get; set; }

    [JsonPropertyName("layerResTarget")]
    public int LayerResTarget { get; set; }

    [JsonPropertyName("layerResMax")]
    public double LayerResMax { get; set; }

    [JsonPropertyName("layerResUnits")]
    public string LayerResUnits { get; set; }

    [JsonPropertyName("layerSResMin")]
    public object LayerSResMin { get; set; }

    [JsonPropertyName("layerSResTarget")]
    public object LayerSResTarget { get; set; }

    [JsonPropertyName("layerSResMax")]
    public object LayerSResMax { get; set; }

    [JsonPropertyName("layerSResUnits")]
    public object LayerSResUnits { get; set; }
}