using System.Collections.Generic;
using System.Text.Json.Serialization;

namespace Adaptation.FileHandlers.MoveAllFiles.OpenInsight;

public class Test
{
    [JsonPropertyName("stage")]
    public string Stage { get; set; }

    [JsonPropertyName("profile")]
    public string Profile { get; set; }

    [JsonPropertyName("prop")]
    public string Prop { get; set; }

    [JsonPropertyName("toolClass")]
    public string ToolClass { get; set; }

    [JsonPropertyName("recipe")]
    public string Recipe { get; set; }

    [JsonPropertyName("recipePattern")]
    public string RecipePattern { get; set; }

    [JsonPropertyName("specMin")]
    public double SpecMin { get; set; }

    [JsonPropertyName("specMax")]
    public double SpecMax { get; set; }

    [JsonPropertyName("specSlot")]
    public object SpecSlot { get; set; }

    [JsonPropertyName("testSlot")]
    public object TestSlot { get; set; }

    [JsonPropertyName("testResult")]
    public List<double> TestResult { get; set; }

    [JsonPropertyName("testSig")]
    public string TestSig { get; set; }

    [JsonPropertyName("testSigDtm")]
    public string TestSigDtm { get; set; }

    [JsonPropertyName("specStdDev")]
    public object SpecStdDev { get; set; }

    [JsonPropertyName("testStdDev")]
    public object TestStdDev { get; set; }

    [JsonPropertyName("specWfrQty")]
    public int SpecWfrQty { get; set; }

    [JsonPropertyName("dataPoints")]
    public List<List<object>> DataPoints { get; set; }

    [JsonPropertyName("testResultMin")]
    public List<object> TestResultMin { get; set; }

    [JsonPropertyName("testResultMax")]
    public List<object> TestResultMax { get; set; }

    [JsonPropertyName("testOutOfSpec")]
    public bool TestOutOfSpec { get; set; }

    [JsonPropertyName("phaseMin")]
    public object PhaseMin { get; set; }

    [JsonPropertyName("failReason")]
    public object FailReason { get; set; }
}