namespace Adaptation.FileHandlers.MoveAllFiles.ApiController;

public readonly struct Notification
{

    public KeyPressEvent KeyPressEvent { get; }
    public string LastScanServiceResultValue { get; }
    public string ToolClass { get; }
    public string HttpContentBody { get; }

    [System.Text.Json.Serialization.JsonConstructor]
    public Notification(KeyPressEvent keyPressEvent, string lastScanServiceResultValue, string toolClass, string httpContentBody)
    {
        KeyPressEvent = keyPressEvent;
        LastScanServiceResultValue = lastScanServiceResultValue;
        ToolClass = toolClass;
        HttpContentBody = httpContentBody;
    }

}