using System.Text.Json.Serialization;

namespace Adaptation.FileHandlers.MoveAllFiles.OpenInsight;

public class RdsLayer
{
    [JsonPropertyName("keyID")]
    public string KeyID { get; set; }

    [JsonPropertyName("EpiTime")]
    public double EpiTime { get; set; }

    [JsonPropertyName("DiluentAdjParam")]
    public int DiluentAdjParam { get; set; }

    [JsonPropertyName("DopantFlow")]
    public double DopantFlow { get; set; }

    [JsonPropertyName("HCLFlow")]
    public object HCLFlow { get; set; }

    [JsonPropertyName("BakeTime")]
    public string BakeTime { get; set; }

    [JsonPropertyName("EpiH2Flow")]
    public int EpiH2Flow { get; set; }

    [JsonPropertyName("TCSFlow")]
    public int TCSFlow { get; set; }

    [JsonPropertyName("DCSFlow")]
    public object DCSFlow { get; set; }

    [JsonPropertyName("FOffset")]
    public int FOffset { get; set; }

    [JsonPropertyName("SOffset")]
    public int SOffset { get; set; }

    [JsonPropertyName("ROffset")]
    public int ROffset { get; set; }

    [JsonPropertyName("Etch1")]
    public string Etch1 { get; set; }

    [JsonPropertyName("Etch2")]
    public string Etch2 { get; set; }

    [JsonPropertyName("Etch3")]
    public string Etch3 { get; set; }

    [JsonPropertyName("AUX1")]
    public object AUX1 { get; set; }

    [JsonPropertyName("AUX2")]
    public object AUX2 { get; set; }

    [JsonPropertyName("ULTemp")]
    public int ULTemp { get; set; }

    [JsonPropertyName("SuscEtch")]
    public object SuscEtch { get; set; }
}