using System.Collections.Generic;
using System.Text.Json.Serialization;

namespace Adaptation.FileHandlers.MoveAllFiles.OpenInsight;

public class Spec
{
    [JsonPropertyName("recipe")]
    public string Recipe { get; set; }

    [JsonPropertyName("defect")]
    public int Defect { get; set; }

    [JsonPropertyName("haze")]
    public int Haze { get; set; }

    [JsonPropertyName("sampleQty")]
    public int SampleQty { get; set; }

    [JsonPropertyName("tools")]
    public List<object> Tools { get; set; }

    [JsonPropertyName("recipes")]
    public List<object> Recipes { get; set; }

    [JsonPropertyName("microscopeReq")]
    public bool MicroscopeReq { get; set; }

    [JsonPropertyName("brightlightReq")]
    public bool BrightlightReq { get; set; }

    [JsonPropertyName("lpd")]
    public int Lpd { get; set; }

    [JsonPropertyName("scratches")]
    public int Scratches { get; set; }

    [JsonPropertyName("scratchLen")]
    public int ScratchLen { get; set; }

    [JsonPropertyName("pits")]
    public int Pits { get; set; }

    [JsonPropertyName("mounds")]
    public int Mounds { get; set; }

    [JsonPropertyName("stackFaults")]
    public int StackFaults { get; set; }

    [JsonPropertyName("spikes")]
    public int Spikes { get; set; }

    [JsonPropertyName("spots")]
    public int Spots { get; set; }

    [JsonPropertyName("fov")]
    public int Fov { get; set; }

    [JsonPropertyName("blDefects")]
    public int BlDefects { get; set; }

    [JsonPropertyName("bsideScratches")]
    public int BsideScratches { get; set; }

    [JsonPropertyName("bsideScratchLen")]
    public int BsideScratchLen { get; set; }

    [JsonPropertyName("bsideNodules")]
    public object BsideNodules { get; set; }

    [JsonPropertyName("bsideSpikes")]
    public object BsideSpikes { get; set; }
}